﻿@model IEnumerable<InsightHub.Web.Areas.Admin.Models.TagIndexViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Tags</h1>

@if (!Model.Any())
{
    <h2>No tags created currently!</h2>
}
else
{
<table class="table table-hover">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    <a asp-area="Admin" asp-controller="Tags" asp-action="Edit" asp-route-id="@item.Id" class="btn btn-outline-primary">Edit</a>
                    <a asp-area="Admin" asp-controller="Tags" asp-action="Delete" asp-route-id="@item.Id" class="btn btn-outline-primary">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
}
